//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <map>
#include <conio.h> //  getch()
#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;
std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main(int argc, char* argv[])
{
  //  :
  // - map:    "/"
  // - string:     string
  // - float:     float

  typedef map <string,float> StringFloatMap;
  StringFloatMap coll;

  //    
  coll["VAT"] = 0.15;
  coll["Pi"] = 3.1415;
  coll["an arbitrary number"] = 4983.223;
  coll["Null"] = 0;

  //   
  // -   
  // -  first  
  // -  second  
  StringFloatMap::iterator pos;
  for (pos = coll.begin(); pos != coll.end(); ++pos) {
    cout << "key: \"" << pos->first << "\" "
         << "value: " << pos->second << endl;
  }

  getch();
  return 0;
}
//---------------------------------------------------------------------------
